## org.apache.xerces.utils
Interface StringPool.StringProducer

All Known Implementing Classes:
  UTF8DataChunk, CharDataChunk

Enclosing class:
  StringPool

public static interface StringPool.StringProducer

Method Summary
`boolean` `equalsString(int offset, int length, char[] strChars, int strOffset, int strLength)`
`void` `releaseString(int offset, int length)`
`java.lang.String` `toString(int offset, int length)`

Method Detail

### toString

    public java.lang.String toString(int offset,
                                     int length)

### releaseString

    public void releaseString(int offset,
                              int length)

### equalsString

    public boolean equalsString(int offset,
                                int length,
                                char[] strChars,
                                int strOffset,
                                int strLength)

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.